<?php
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING  );
include_once("req.php");

array_walk($_REQUEST,"format_string");   
array_walk($_POST,"format_string");   
array_walk($_GET,"format_string");   
include_once("config.php");
include_once("database.php");

session_start();
include_once("session_class.php");
include_once("persinfo_class.php");
$session = new Sessions;

if(in_array(userip(),array('213.171.38.43','88.210.51.130'))) {
 $enter=1; $id=12;$session->id_person=$id;
}
if ($session->is_session(session_id())){
	$id=$session->id_person;$enter=1; 
} 

if (!$enter && !$_REQUEST['checkme'] && !$_REQUEST['smscoin']) { die('403 Forbidden.');}
if ($enter ) {

$res=db_use('array',"select level from person where id_person='".$id."'");
if ($res['level']<2) {die ("403 Forbidden. Вход со 2-го левела.");}

}
echo "<link rel=stylesheet type=\"text/css\" href=\"../i/main.css\">
<SCRIPT src='../i/commoninf.js'></SCRIPT>
<body leftmargin=5 topmargin=5 marginwidth=5 marginheight=5 bgcolor=e2e0e0>";
if (!$_REQUEST['checkme'] && !$_GET['smscoin']) {

if ($enter) {
echo "Хостинг дорогой, чтобы сайт жил нужны капиталовложения. <br />
Иногда видно что сайт перестает работать - это значит что вовремя не удалось собрать средств на хостинг.<br />
Можно вложиться в \"общак\" тремя способами. Чтобы был стимул - даются кр как вознаграждение.<br />
<hr>
Способ 1) через сборщиков:<br />
<img src=../i/alchemy1.gif><br />
<table border=0>";
foreach ($alhimics as $key=>$value) {
	$res=db_use('array',"select p.id_person,u.login,p.level,p.align,c.clanname,s.session_id,r.roomname,po.id_person as inv
	from person p 
	left join users u on u.id_person=p.id_person left join clans c on c.id_clan=p.id_clan left join sessions s on s.username=u.login 
	left join room r on r.id_room=p.id_room 
	left join person_on po on po.id_person=p.id_person and po.type=5
	where p.id_person='".strval($value)."'");
	$res2=db_use('array',"select (select sum(wmz)+sum(wmr)/26.40 from alhim2 where 
					id_alh='".strval($value)."') as sum1,(select sum(kr)/500*0.9 from alhim 
					where id_alh='".strval($value)."' and moneysys>0) as sum2;");	
	if ($res2['sum1']>$res2['sum2']-$balans[strval($value)] OR in_array(strval($value),$alhimicsfull)) {
		echo '<tr><td>'.($res['session_id']?"<a href=\"javascript:opener.top.AddToPrivate('".$res[login]."',true)\"><IMG SRC=\"../i/lock.gif\" WIDTH=20 HEIGHT=15 BORDER=0 ALT=\"Приват\"></a>":'')."<SCRIPT>drwfl(\"".$res[login]."\",".$res[id_person].",\"".$res[level]."\",".$res[align].",\"".$res[clanname]."\")</SCRIPT><td>".($alhimicsregion[$value]?$alhimicsregion[$value]:'все регионы').'<td>'.(($res['session_id'] && !$res[inv])?'<b>сейчас онлайн - '.$res[roomname].'</b>':'сейчас оффлайн').'</tr>';
	}
}
echo"</table>
<br />
За пожертвования даем кр (1$=500кр).<br /><br /><br />
У кого накопится кр можно их потратить:
<table border=0>
<tr><td>именные и клановые вещи<td>от 35000 кр</tr>
<tr><td>свой значок в инфе<td>от 25000 кр</tr>
<tr><td>Смена ника<td>5000 кр.</tr>
<tr><td>Склонности (темная ,светлая ,нейтральная)<td>5000 кр.</tr>
<tr><td>e-mail на хосте antibk.oрг<td>10000 кр.</tr>
<tr><td>Персональный образ<td>5000 кр.</tr>
<tr><td>Клановый образ<td>8000 кр.</tr>
<tr><td>абилка невидимости<td>15 тыс кр в месяц</tr>
<tr><td valign=top>хостинг сайт.antibk.org<td>3000 кр в месяц (50 мб+поддержка php, 1 база mysql + 1000кр в месяц)<br /><br />
Хостятся: <br />
<a href=http://stalkers.antibk.org>http://stalkers.antibk.org</a></tr>
<tr><td>редиректная инфа<td>15000 кр (убрать редирект навсегда = бесплатно, сменить 2000 кр)</tr>
<tr><td>\"отцовские\" ссылки на персонажа (inf.php?xxx):<td>
3-11,100 : 15000 кр<br />
13-21,23-30,32,34,36,38,41,42,44-48,56,57,62,63,68-75,77-88,92,94-99 : 10000 кр<br />
103,104,105 и тд до 200 : 5000 кр<br />
от 200 до 1000 : 3000 кр<br />
</tr>
</table>

<hr>
Способ 2) Послать SMS (первый вариант SMS - Россия, Украина, Казахстан)<br />
<img src=http://smszamok.ru/common/images/logo_zamok.png><br />
Следуя инструкциям нужно отослать смс. Должен прийти ответ с паролем.<br />
Те кто отошлет смс получат вознаграждение в размере 1$=250кр (кроме мегафона - для него лучше пользоваться смс по 1$, смс на 3$ для него стоит 4 и это 750 кр а не 1000) <br />
Ниже в форму ввести пароль и логин в чате сайта (чтобы получить символическое вознаграждение). Если вознаграждение не нужно - введите \"Мироздатель\".<br />";
?><br />
<a href="javascript:window.open('http://smszamok.ru/client/izamok.html?8671', '_blank', 'location=no,height=300,width=700', false);">Инструкции по отправке SMS (0.5$).</a><br />
<a href="javascript:window.open('http://smszamok.ru/client/izamok.html?6806', '_blank', 'location=no,height=300,width=700', false);">Инструкции по отправке SMS (1$).</a><br />
<a href="javascript:window.open('http://smszamok.ru/client/izamok.html?6804', '_blank', 'location=no,height=300,width=700', false);">Инструкции по отправке SMS (3$).</a><br />
<a href="javascript:window.open('http://smszamok.ru/client/izamok.html?8670', '_blank', 'location=no,height=300,width=700', false);">Инструкции по отправке SMS (4$).</a><br />
<a href="javascript:window.open('http://smszamok.ru/client/izamok.html?8669', '_blank', 'location=no,height=300,width=700', false);">Инструкции по отправке SMS (5$).</a><br />
<br />
<form method=post action="referrer.php?checkme=1">
Имя (логин):<input type=text name=username><br>
присланный код:<input type=text name=pass><br>
<input type=submit value="Активировать"></form><br />
Если с смс ничего не получилось (не пришел код) и деньги ушли в никуда - никто ничего не вернет. Повторилось два раза подряд - лучше больше не посылать (возможно тариф оператора не поддерживает эту услугу)<br />
Форма только для смсных паролей.<br />
<br />
<?
}#////
}
if ($_REQUEST['checkme']) {
echo"<a href=referrer.php>В начало</a><br><br>";
 $res=db_use('array',"select u.id_person from users u where u.login='".$_REQUEST['username']."'");
 if (!$res['id_person']) {
 echo "Пользователь не найден.<br><br>"; unset($_REQUEST['checkme']);
 }else{$id_person=$res['id_person'];}
}

echo'';

if ($_REQUEST['checkme']) {
  $file = @fopen("http://www.smszamok.ru/check/try.php?p=".$_REQUEST['pass']."&id=6806", "r"); 
  if (!$file) { 
     echo "6806: Ошибка запроса на проверку пароля.<br />";#die;
  }
  $line = fgets ($file, 1024);
  fclose($file);
  if(substr($line, 0, 4) == "true"){
    // получаем время жизни пароля в секундах
    $life_time = substr($line, 5);
	if ($life_time<1) {echo"Время действия кода истекло =".$line;die;}
	$code=mysql_escape_string($_REQUEST['pass']);
	$res=db_use('array',"select id_person from refer where code='".$code."' and time+lifetime>".time()."");
	if ($res['id_person']) {
		echo "6806: Код уже активирован пользователем ".$res['id_person']."<br>";
	}else{
		db_use('query',"insert into refer(time,id_person,code,lifetime,number) values (".time().",".$id_person.",'".$code."',".$life_time.",1)");
		db_use('query',"update person set vip=vip+1, money=money+250 where id_person='".$id_person."'");
	new_chat_message5($id_person,"Переведены ".(1*250)." кр от Администрации");
	new_chat_message5(12,"Переведены ".$id_person." ".(1*250)." кр от Администрации");

		echo "6806: Успешно активирован код.";die;
	}	
  }else{
    // пароль не подтвержден
	if ($line=='no parameters specified'){
		echo "6806: Не указаны обязательные параметры";
	}elseif ($line=='no such password or expired'){
		echo "6806: Такого пароля нет<br />";
	}else{
		echo "6806: Пароль не работает<br />";
	}
  }
  
 }#checkme

if ($_REQUEST['checkme']) {
  $file = @fopen("http://www.smszamok.ru/check/try.php?p=".$_REQUEST['pass']."&id=6804", "r"); 
  if (!$file) { 
     echo "6804: Ошибка запроса на проверку пароля.<br />";
  }
  $line = fgets ($file, 1024);
  fclose($file);
  if(substr($line, 0, 4) == "true"){
    // получаем время жизни пароля в секундах
    $life_time = substr($line, 5);
	if ($life_time<1) {echo"Время действия кода истекло =".$line;}
	$code=mysql_escape_string($_REQUEST['pass']);
	$res=db_use('array',"select id_person from refer where code='".$code."' and time+lifetime>".time()."");
	if ($res['id_person']) {
		echo "6804: Код уже активирован пользователем ".$res['id_person']."<br>";
	}else{
		db_use('query',"insert into refer(time,id_person,code,lifetime,number) values (".time().",".$id_person.",'".$code."',".$life_time.",3)");
		db_use('query',"update person set vip=vip+1, money=money+3*250 where id_person='".$id_person."'");
	new_chat_message5($id_person,"Переведены ".(3*250)." кр от Администрации");
	new_chat_message5(12,"Переведены ".$id_person." ".(3*250)." кр от Администрации");

		echo "6804: Успешно активирован код.";die;
	}	
  }else{
    // пароль не подтвержден
	if ($line=='no parameters specified'){
		echo "6804: Не указаны обязательные параметры";
	}elseif ($line=='no such password or expired'){
		echo "6804: Такого пароля нет<br />";
	}else{
		echo "6804: Пароль не работает<br />";
	}
  }
  
 }#checkme

 if ($_REQUEST['checkme']) {
  $file = @fopen("http://www.smszamok.ru/check/try.php?p=".$_REQUEST['pass']."&id=8670", "r"); 
  if (!$file) { 
     echo "8670: Ошибка запроса на проверку пароля.<br />";
  }
  $line = fgets ($file, 1024);
  fclose($file);
  if(substr($line, 0, 4) == "true"){
    // получаем время жизни пароля в секундах
    $life_time = substr($line, 5);
	if ($life_time<1) {echo"Время действия кода истекло =".$line;}
	$code=mysql_escape_string($_REQUEST['pass']);
	$res=db_use('array',"select id_person from refer where code='".$code."' and time+lifetime>".time()."");
	if ($res['id_person']) {
		echo "8670: Код уже активирован пользователем ".$res['id_person']."<br>";
	}else{
		db_use('query',"insert into refer(time,id_person,code,lifetime,number) values (".time().",".$id_person.",'".$code."',".$life_time.",4)");
		db_use('query',"update person set vip=vip+4, money=money+4*250 where id_person='".$id_person."'");
	new_chat_message5($id_person,"Переведены ".(4*250)." кр от Администрации");
	new_chat_message5(12,"Переведены ".$id_person." ".(4*250)." кр от Администрации");

		echo "8670: Успешно активирован код.";die;
	}	
  }else{
    // пароль не подтвержден
	if ($line=='no parameters specified'){
		echo "8670: Не указаны обязательные параметры";
	}elseif ($line=='no such password or expired'){
		echo "8670: Такого пароля нет<br />";
	}else{
		echo "8670: Пароль не работает<br />";
	}
  }
  
 }#checkme

if ($_REQUEST['checkme']) {
  $file = @fopen("http://www.smszamok.ru/check/try.php?p=".$_REQUEST['pass']."&id=8669", "r"); 
  if (!$file) { 
     echo "8669: Ошибка запроса на проверку пароля.<br />";
  }
  $line = fgets ($file, 1024);
  fclose($file);
  if(substr($line, 0, 4) == "true"){
    // получаем время жизни пароля в секундах
    $life_time = substr($line, 5);
	if ($life_time<1) {echo"Время действия кода истекло =".$line;}
	$code=mysql_escape_string($_REQUEST['pass']);
	$res=db_use('array',"select id_person from refer where code='".$code."' and time+lifetime>".time()."");
	if ($res['id_person']) {
		echo "8669: Код уже активирован пользователем ".$res['id_person']."<br>";
	}else{
		db_use('query',"insert into refer(time,id_person,code,lifetime,number) values (".time().",".$id_person.",'".$code."',".$life_time.",5)");
		db_use('query',"update person set vip=vip+5, money=money+5*250 where id_person='".$id_person."'");
	new_chat_message5($id_person,"Переведены ".(5*250)." кр от Администрации");
	new_chat_message5(12,"Переведены ".$id_person." ".(5*250)." кр от Администрации");

			echo "8669: Успешно активирован код.";die;
	}	
  }else{
    // пароль не подтвержден
	if ($line=='no parameters specified'){
		echo "8669: Не указаны обязательные параметры";
	}elseif ($line=='no such password or expired'){
		echo "8669: Такого пароля нет<br />";
	}else{
		echo "8669: Пароль не работает<br />";
	}
  }
  
 }#checkme
 
if ($_REQUEST['checkme']) {
  $file = @fopen("http://www.smszamok.ru/check/try.php?p=".$_REQUEST['pass']."&id=8671", "r"); 
  if (!$file) { 
     echo "8671: Ошибка запроса на проверку пароля.<br />";
  }
  $line = fgets ($file, 1024);
  fclose($file);
  if(substr($line, 0, 4) == "true"){
    // получаем время жизни пароля в секундах
    $life_time = substr($line, 5);
	if ($life_time<1) {echo"Время действия кода истекло =".$line;}
	$code=mysql_escape_string($_REQUEST['pass']);
	$res=db_use('array',"select id_person from refer where code='".$code."' and time+lifetime>".time()."");
	if ($res['id_person']) {
		echo "8671: Код уже активирован пользователем ".$res['id_person']."<br>";
	}else{
		db_use('query',"insert into refer(time,id_person,code,lifetime,number) values (".time().",".$id_person.",'".$code."',".$life_time.",0.5)");
		db_use('query',"update person set vip=vip+0.5, money=money+125 where id_person='".$id_person."'");
	new_chat_message5($id_person,"Переведены 125 кр от Администрации");
	new_chat_message5(12,"Переведены ".$id_person." 125 кр от Администрации");

			echo "8671: Успешно активирован код.";die;
	}	
  }else{
    // пароль не подтвержден
	if ($line=='no parameters specified'){
		echo "8671: Не указаны обязательные параметры";
	}elseif ($line=='no such password or expired'){
		echo "8671: Такого пароля нет<br />";
	}else{
		echo "8671: Пароль не работает<br />";
	}
  }
  
 }#checkme

 
#www.smszamok.ru/check/try.php?p=PASSWORD&id=PROGECT_ID[&url_restricted=url]



 //пример PHP кода для проверки - существует ли данный код, полученный после отправки sms 
  
/*
### SMS:Key v1.0.2 ###
$key_id = 201165;
$response = @file("http://service.smscoin.com/key/?s_key=".$key_id
."&s_pair=".urlencode($_GET["s_pair"])
."&s_ip=".$_SERVER["REMOTE_ADDR"]
."&s_url=".$_SERVER["SERVER_NAME"].htmlentities(urlencode($_SERVER["REQUEST_URI"])));
if (count($response)>1 || $response[0] != 'true') {
 die(implode("", $response));
}
### SMS:Key end ###
*/
$smscoin=true;
if ($smscoin) {
if ($id ) {
echo"<a href=referrer.php>В начало</a><br><br>";
	echo "<hr>Способ 3) Второй вариант отсылки SMS:<br />
Вознаграждение за отсылку SMS рассчитывается примерно как 1$=250кр, но стоимость SMS может быть больше<br />
Если с смс ничего не получилось и деньги ушли в никуда - никто ничего не вернет.<br />
<table border=0><tr><td>
<img src=http://smscoin.ru/skin/default/header-top-left.png><br />
	<img src=http://smscoin.ru/skin/default/header-bottom-left.png><br />";
	$showform=1;
	if ($_GET['create'] && $_GET['smscoin']) {
		$ok=true;
		 if ($_POST['amount']!=0.5 && $_POST['amount']!=1 && $_POST['amount']!=2 && $_POST['amount']!=3 && $_POST['amount']!=4) {
		 	$ok=false;echo "Неверно указано кол-во кр.<br /><br />";
		 }else{
			 $res=db_use('array',"select u.id_person from users u where u.login='".$_POST['login']."'");
		 	 if (!$res['id_person']) {
		 		echo "Пользователь не найден.<br><br>";
				$ok=false;
			 }else{
				$id_person=$res['id_person'];
			 }
		 }	 
		 if ($ok) {
		 	$showform=0;
			 if($_POST['amount']==0.5) {$s='125';}
			 if($_POST['amount']==1) {$s='250';}
			 if($_POST['amount']==2) {$s='500';}
			 if($_POST['amount']==3) {$s='750';}
			 if($_POST['amount']==4) {$s='1000';}
			$s_description='Сбор средств на хостинг antibk по SMS (вознаграждение '.$s.' кр)';
			$s_purse=654;
			$s_amount=(0+$_POST['amount']);
			$s_clear_amount=0;
			$secret_key='3248ikgwfew';

			 $res=db_use('array',"select * from ref_coin where md5t='".$_GET['md5t']."' and ok<1");
			 if ($res['s_order_id']) {
			 	if ($res['s_amount']!=$_POST['amount'] or $res['id_person']!=$id_person){
					echo "Неверные данные";
				}else{
					$s_order_id=$res['s_order_id'];
					$s_sign=md5($s_purse.'::'.$s_order_id.'::'.$s_amount.'::'.$s_clear_amount.'::'.$s_description.'::'.$secret_key);
					echo "Заявка №".$s_order_id." (".$s_description.") - пользователь ".$_POST['login']." (id=".$id_person.")<br />";
					$showform2=true;
				}
			}else{
				db_use('query',"insert into ref_coin (id_person,t,s_amount,md5t) values ('".$id_person."','".time()."','".$s_amount."','".$_GET['md5t']."')");
				$s_order_id=mysql_insert_id();
				$s_sign=md5($s_purse.'::'.$s_order_id.'::'.$s_amount.'::'.$s_clear_amount.'::'.$s_description.'::'.$secret_key);
			
				echo "Создана заявка №".$s_order_id." (".$s_description.") - пользователь ".$_POST['login']." (id=".$id_person.")<br />";
				$showform2=true;
			}
		 }
	 }
 	 
	
	if ($showform) {
?>
<form method="post" action="referrer.php?smscoin=1&create=1&md5t=<? echo md5(time());?>">
Логин в чате:<input type="text" name="login"/><br />
Количество кр:<select name=amount>
<option value=0.5>125 кр</option>
<option value=1>250 кр</option>
<option value=2>500 кр</option>
<option value=3>750 кр</option>
<option value=4>1000 кр</option>
</select>
<input type="submit"  value="Создать заявку"/>
</form>
<?
	}
	if ($showform2) {

echo '<form action="http://service.smscoin.com/bank/" method="post">
 <input name="s_purse" type="hidden" value="'.$s_purse.'" />
 <input name="s_order_id" type="hidden" value="'.$s_order_id.'" />
  <input name="s_amount" type="hidden" value="'.$s_amount.'" />
  <input name="s_clear_amount" type="hidden" value="'.$s_clear_amount.'" />
 <input name="s_description" type="hidden" value="'.$s_description.'" />
 <input name="s_sign" type="hidden" value="'.$s_sign.'" />
 <input type="submit" value="Перейти к оплате" />
</form>';
	}

}

}#////

if ($_GET['smscoin']) {
	if ($_GET['success']) {
		$ok=true;
		if ($_REQUEST['s_purse']!=654) {$ok=false;echo "Неверный purse";}
		if ($_REQUEST['s_clear_amount']!=0) {$ok=false;echo "Неверный clear";}
		$res=db_use('array',"select * from ref_coin where s_order_id='".$_REQUEST['s_order_id']."'");
		if ($_REQUEST['s_amount']!=$res['s_amount']){$ok=false;echo "Неверный № заявки";}
		elseif ($res['ok']) {$ok=false;echo "Платеж уже совершен.";$nocheckerror=true;}
		if ($ok) {
			$s_order_id=$res['s_order_id'];
			$s_description='Сбор средств на хостинг antibk по SMS (вознаграждение '.$s.' кр)';
			$s_purse=654;
			$s_amount=$res['s_amount'];
			 if($s_amount==0.5) {$s='125'; $s_amount='0.50';}
			 if($s_amount==1) {$s='250';$s_amount='1.00';}
			 if($s_amount==2) {$s='500';$s_amount='2.00';}
			 if($s_amount==3) {$s='750';$s_amount='3.00';}
			 if($s_amount==4) {$s='1000';$s_amount='4.00';}
			 if($s_amount==5) {$s='1250';$s_amount='5.00';}
			 $id_person=$res['id_person'];
			$s_clear_amount=0;
			$secret_key='3248ikgwfew';
			$s_status=$_REQUEST['s_status'];
#			echo $s_purse.'::'.$s_order_id.'::'.$s_amount.'::'.$s_clear_amount.'::'.$s_status;
#			echo md5($secret_key.'::'.$s_purse.'::'.$s_order_id.'::'.$s_amount.'::'.$s_clear_amount.'::'.$s_status);
			if ($_REQUEST['s_sign']!=md5($secret_key.'::'.$s_purse.'::'.$s_order_id.'::'.$s_amount.'::'.$s_clear_amount.'::'.$s_status)) {
				echo"Ошибка - неверные данные. Сохраните эти данные и скажите их разработчику: <br />";print_r($_REQUEST);
				echo "[[[".md5($secret_key.'::'.$s_purse.'::'.$s_order_id.'::'.$s_amount.'::'.$s_clear_amount.'::'.$s_status)."]]]]";
			}else{
				if ($s_status) {
					db_use('query',"update ref_coin set ok=1 where s_order_id='".$s_order_id."'");
					db_use('query',"update person set vip=vip+'".$s_amount."',money=money+'".$s."' where id_person='".$id_person."'");
					new_chat_message5($id_person,"Переведены ".$s." кр от Администрации");
					new_chat_message5(12,"Переведены ".$id_person." ".$s." кр от Администрации");
					echo "Успешно переведены ".$s." кр персонажу id=".$id_person;$nocheckerror=true;
				}else{
					echo "Платеж не прошел.";
				}
			}
		}elseif(!$nocheckerror){
			echo "Где-то ошибка. Если считаете что все верно - сохраните эти данные и скажите их разработчику: <br />";print_r($_REQUEST);
		}
		#http://www.smscoin.ru/info/smscode/
	}elseif($_GET['fail']) {
		echo "Ошибка. Сохраните эти данные и скажите их разработчику: <br />";print_r($_REQUEST);
	}elseif($_GET['result']) {
		
		$res=db_use('query',"select * from ref_coin where s_phone>0 and ok<1");
	unset($i);while ($i<mysql_num_rows($res)) {
		$i++;$s=mysql_fetch_array($res);
		db_use('query',"update ref_coin set ok=1 where s_order_id='".$s['s_order_id']."'");
		db_use('query',"update person set vip=vip+'".$s['s_amount']."',money=money+'".($s['s_amount']*250+0)."' where id_person='".$s['id_person']."'");		
	new_chat_message5($s[id_person],"Переведены ".($s['s_amount']*250+0)." кр от Администрации");
	new_chat_message5(12,"Переведены ".$s[id_person]." ".($s['s_amount']*250+0)." кр от Администрации");

	}
		$secret_key='3248ikgwfew';
		if($_REQUEST['s_sign_v2']==md5($secret_key.'::'.$_REQUEST['s_purse'].'::'.$_REQUEST['s_order_id'].'::'.$_REQUEST['s_amount'].'::'.$_REQUEST['s_clear_amount'].'::'.$_REQUEST['s_inv'].'::'.$_REQUEST['s_phone'])) {
			db_use('query',"update ref_coin set s_phone='".$_REQUEST['s_phone']."',s_inv='".$_REQUEST['s_inv']."' where s_order_id='".(0+$_REQUEST['s_order_id'])."'");echo "Обновлено!";
			$res=db_use('array',"select * from ref_coin where s_order_id='".(0+$_REQUEST['s_order_id'])."'");
			if ($res['ok']<1) {
				db_use('query',"update ref_coin set ok=1 where s_order_id='".(0+$_REQUEST['s_order_id'])."'");
				db_use('query',"update person set vip=vip+'".$res['s_amount']."',money=money+'".($res['s_amount']*250+0)."' where id_person='".$res['id_person']."'");
	new_chat_message5($res['id_person'],"Переведены ".($res['s_amount']*250+0)." кр от Администрации");
	new_chat_message5(12,"Переведены ".$res['id_person']." ".($res['s_amount']*250+0)." кр от Администрации");

			}
		}
	}
}
if ($id ) {
echo "</td><td>Страны:<br />
<small>*  Австралия<br />
    * Бельгия<br />
    * Великобритания<br />
    * Германия<br />
    * Греция<br />
    * Израиль<br />
    * Ирландия<br />
    * Нигерия<br />
    * Казахстан<br />
    * Россия<br />
    * Украина<br />
    * Литва<br />
    <strong>* Латвия<br /></strong>
    <strong>* Эстония<br /></strong>
	</small></td></tr></table>";
}#///
?>